UTMPDUMP(1)

NOME
utmpdump - despeja ficheiros UTMP e WTMP em formato cru

RESUMO
utmpdump [-froh] nome-de-ficheiro

DESCRIÇÃO
O utmpdump é um programa simples que despeja os ficheiros UTMP e WTMP em formato raw, para que possam ser examinados.

OPÇÕES

-f  resulta dados acrescentados quando o ficheiro cresce.

-r  reverso. Escreve de volta a informação de login editada nos ficheiros utmp ou wtmp.

-o  usa o antigo formato libc5.

-h  informação de utilização.

O utmpdump pode ser útil nos casos de entradas corrompidas em utmp ou wtmp. Ele consegue despejar o utmp/wtmp para um ficheiro ASCII, depois esse ficheiro pode ser editado para se remover entradas danificadas e re-entregado, usando

utmpdump -r < ficheiro ascii > wtmp

mas tenha atenção que o utmpdump foi escrito apenas para objectivos de depuração.

BUGS
Você não pode usar a opção -r pois o formato para os ficheiros utmp/wtmp depende fortemente no formato de entrada. Esta ferramenta não foi escrita para uso normal mas só para depuração.

AUTOR
Michael Krapp

VEJA TAMBÉM
last(1), w(1), who(1), utmp(5),